# Run tests in check section
%bcond_without check

%global goipath         github.com/tambet/go-asana
%global commit          6c0cb7090a14aaf5861c43a10e6db9d32c1fe555

%global common_description %{expand:
Golang library for accessing the Asana API.}

%gometa
%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Golang library for accessing the Asana API
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/google/go-querystring/query)

%description
%{common_description}
%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gochecks
%endif

%gopkgfiles


%changelog
* Sun Aug 30 2020 joequant <joequant> 0-0.3.mga8
+ Revision: 1619916
- fix builds
- fix build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1334641
- imported package golang-github-tambet-asana

